import {
    G as Z,
    N as o,
    I as n,
    J as e,
    aA as X,
    P as t,
    O as s,
    K as w,
    M as R,
    ao as f,
    aB as re,
    aC as ue,
    z as Te,
    r as N,
    B as O,
    H as V,
    Q as i,
    au as g,
    an as y,
    aw as _e,
    Z as ae,
    aE as Se,
    a_ as Ne,
    $ as Y,
    at as K,
    C as ie,
    W as Me,
    V as Re,
    a7 as Ge,
    bw as Pe,
    ax as We,
    bm as De,
    aX as Ve,
    bl as Ee,
    T as He
} from "./common.modules-af1f85b9.js";
import {
    _ as q,
    c as ze,
    y as Fe
} from "./page-activity-ActivityDetail-09e806d3.js";
import {
    u as ee,
    m as pe,
    j as Ae,
    E as me,
    v as fe,
    R as xe,
    T as Ue,
    L as je,
    o as Oe,
    W as Xe,
    c as Ze,
    p as qe,
    C as Ke
} from "./page-saasLottery-D5-76904bfb.js";
import {
    u as Je,
    a as ge,
    b as Qe
} from "./page-saasLottery-VideoWinGo-593b068c.js";
import {
    M as Ye
} from "./page-saasLottery-SaasChangLong-7aa1f357.js";
import "./page-turntable-assets-d6267459.js";
import "./native/index-2c2af617.js";
import "./en-8dc3e88f.js";
import "./page-home-other-97f62cb2.js";
import "./page-home-Casino-1d49356a.js";
import "./page-activity-Bonus-78dc3749.js";
import "./page-saasLottery-MotoRace-0b54bb77.js";
const be = _ => (re("data-v-3cbad787"), _ = _(), ue(), _),
    et = {
        class: "TimeLeft__C"
    },
    tt = be(() => e("svg", {
        xmlns: "http://www.w3.org/2000/svg",
        width: "36",
        height: "36",
        viewBox: "0 0 36 36",
        fill: "none"
    }, [e("path", {
        d: "M23.67 3H12.33C6.66 3 5.25 4.515 5.25 10.56V27.45C5.25 31.44 7.44 32.385 10.095 29.535L10.11 29.52C11.34 28.215 13.215 28.32 14.28 29.745L15.795 31.77C17.01 33.375 18.975 33.375 20.19 31.77L21.705 29.745C22.785 28.305 24.66 28.2 25.89 29.52C28.56 32.37 30.735 31.425 30.735 27.435V10.56C30.75 4.515 29.34 3 23.67 3ZM11.67 18C10.845 18 10.17 17.325 10.17 16.5C10.17 15.675 10.845 15 11.67 15C12.495 15 13.17 15.675 13.17 16.5C13.17 17.325 12.495 18 11.67 18ZM11.67 12C10.845 12 10.17 11.325 10.17 10.5C10.17 9.675 10.845 9 11.67 9C12.495 9 13.17 9.675 13.17 10.5C13.17 11.325 12.495 12 11.67 12ZM24.345 17.625H16.095C15.48 17.625 14.97 17.115 14.97 16.5C14.97 15.885 15.48 15.375 16.095 15.375H24.345C24.96 15.375 25.47 15.885 25.47 16.5C25.47 17.115 24.96 17.625 24.345 17.625ZM24.345 11.625H16.095C15.48 11.625 14.97 11.115 14.97 10.5C14.97 9.885 15.48 9.375 16.095 9.375H24.345C24.96 9.375 25.47 9.885 25.47 10.5C25.47 11.115 24.96 11.625 24.345 11.625Z",
        fill: "currentColor"
    })], -1)),
    st = {
        class: "TimeLeft__C-name"
    },
    ot = {
        class: "TimeLeft__C-num"
    },
    nt = {
        class: "TimeLeft__C-id"
    },
    lt = {
        class: "TimeLeft__C-text"
    },
    at = {
        class: "TimeLeft__C-time"
    },
    it = be(() => e("div", null, ":", -1)),
    rt = Z({
        __name: "WinGoInfo",
        props: {
            issue: {
                type: String,
                default: ""
            },
            numbers: {
                type: Array,
                default: () => [0, 0, 0, 0, 0]
            },
            countdownTime: {
                type: Array,
                default: ["0", "0", ":", "0", "0"]
            },
            handleRule: {
                type: Function,
                default: () => {}
            }
        },
        setup(_) {
            const {
                currentGame: L
            } = ee();
            return (G, P) => {
                var I;
                return o(), n("div", et, [e("div", {
                    onClick: P[0] || (P[0] = p => _.handleRule()),
                    class: "TimeLeft__C-rule"
                }, [tt, X(t(G.$t("binguo_playerRule")), 1)]), e("div", st, t(((I = s(L)) == null ? void 0 : I.gameName) || ""), 1), e("div", ot, [(o(!0), n(w, null, R(_.numbers, (p, u) => (o(), n("div", {
                    key: u,
                    class: f(["n" + p])
                }, null, 2))), 128))]), e("div", nt, t(_.issue), 1), e("div", lt, t(G.$t("timeLeftToBuy")), 1), e("div", at, [e("div", null, t(_.countdownTime[0]), 1), e("div", null, t(_.countdownTime[1]), 1), it, e("div", null, t(_.countdownTime[3]), 1), e("div", null, t(_.countdownTime[4]), 1)])])
            }
        }
    });
const ut = q(rt, [
        ["__scopeId", "data-v-3cbad787"],
        ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/saasLottery/game/WinGo/components/wingo3/WinGoInfo.vue"]
    ]),
    ct = {
        class: "lottery-container"
    },
    dt = {
        class: "selection-text"
    },
    vt = {
        class: "content"
    },
    _t = {
        class: "amount-section"
    },
    pt = {
        class: "section-header"
    },
    mt = {
        class: "label"
    },
    ft = {
        class: "amount-buttons"
    },
    gt = ["onClick"],
    bt = {
        class: "multiplier-section"
    },
    ht = {
        class: "section-header"
    },
    yt = {
        class: "label"
    },
    Ct = {
        class: "m"
    },
    $t = {
        class: "multiplier-buttons"
    },
    wt = ["onClick"],
    kt = {
        class: "agreement"
    },
    Bt = {
        class: "footer"
    },
    It = Z({
        __name: "BettingPopup",
        props: {
            currentGame: {
                type: String,
                default: ""
            }
        },
        setup(_) {
            const {
                t: L
            } = Te(), G = m => {
                m === 1 ? u.value > 1 && u.value-- : u.value++
            };
            N("1");
            const P = N(!0),
                {
                    betDialog: I,
                    betMultiples: p,
                    betMultiple: u,
                    amount: C,
                    onBetting: T,
                    betScopes: M,
                    playBet: d,
                    onClearBet: z
                } = Je(),
                {
                    balance: F
                } = ee(),
                A = N(!1),
                j = O(() => {
                    let m = [1, 3, 7, 9],
                        l = [2, 4, 6, 8];
                    if (d.value === "violet") return "violet_bg";
                    if (d.value === "small") return "small_bg";
                    if (d.value === "big") return "big_bg";
                    if (d.value === 0) return "zero_bg";
                    if (d.value === 5) return "five_bg";
                    if (m.includes(d.value) || d.value === "green") return "green_bg";
                    if (l.includes(d.value) || d.value === "red") return "red_bg"
                }),
                b = Ae(),
                k = () => {
                    if (u.value * C.value > F.value) return b.error(L("wfDesc3"));
                    T()
                };
            return (m, l) => {
                const S = V("van-checkbox"),
                    E = V("van-button"),
                    v = V("van-popup");
                return o(), n(w, null, [i(v, {
                    show: s(I),
                    "onUpdate:show": l[6] || (l[6] = r => ae(I) ? I.value = r : null),
                    position: "bottom",
                    round: ""
                }, {
                    default: g(() => [e("div", ct, [y(" Curved Header "), e("div", {
                        class: f(["header", j.value])
                    }, [e("h1", null, t(_.currentGame), 1), e("div", dt, [e("span", null, t(s(L)("selectMay")) + " " + t(isNaN(Number(s(d))) ? s(L)("bet" + (s(d).charAt(0).toUpperCase() + s(d).slice(1))) : s(d)), 1)])], 2), y(" Main Content "), e("div", vt, [y(" Amount Section "), e("div", _t, [e("div", pt, [e("span", mt, t(s(L)("amount")), 1), e("div", ft, [(o(!0), n(w, null, R(s(M), r => (o(), n("div", {
                        key: r,
                        class: f(s(C) === r ? `primary n_${s(d)}` : "default"),
                        onClick: W => C.value = r
                    }, t(r), 11, gt))), 128))])])]), y(" Multiplier Section "), e("div", bt, [e("div", ht, [e("span", yt, t(m.$t("quantity")), 1), e("div", Ct, [e("div", {
                        class: f([`n_${s(d)}`]),
                        onClick: l[0] || (l[0] = r => G(1))
                    }, "-", 2), _e(e("input", {
                        "onUpdate:modelValue": l[1] || (l[1] = r => ae(u) ? u.value = r : null),
                        type: "number",
                        onInput: l[2] || (l[2] = (...r) => m.enforceMaxValue && m.enforceMaxValue(...r))
                    }, null, 544), [
                        [Se, s(u)]
                    ]), e("div", {
                        class: f([`n_${s(d)}`]),
                        onClick: l[3] || (l[3] = r => G(2))
                    }, "+", 2)])]), e("div", $t, [(o(!0), n(w, null, R(s(p), r => (o(), n("div", {
                        key: r,
                        class: f(s(u) === r ? `primary n_${s(d)}` : "default"),
                        onClick: W => u.value = r
                    }, " X" + t(r), 11, wt))), 128))])]), y(" Agreement Section "), e("div", kt, [i(S, {
                        modelValue: P.value,
                        "onUpdate:modelValue": l[5] || (l[5] = r => P.value = r),
                        "checked-color": "var(--main-color)"
                    }, {
                        default: g(() => [X(t(m.$t("agree")) + " ", 1), e("span", {
                            class: "rules",
                            onClick: l[4] || (l[4] = Ne(r => A.value = !0, ["stop"]))
                        }, t(m.$t("presaleRules")), 1)]),
                        _: 1
                    }, 8, ["modelValue"])])]), y(" Footer "), e("div", Bt, [i(E, {
                        class: "cancel",
                        onClick: s(z)
                    }, {
                        default: g(() => [X(t(s(L)("cancel")), 1)]),
                        _: 1
                    }, 8, ["onClick"]), i(E, {
                        class: f(`bet-amount n_${s(d)}`),
                        disabled: !P.value,
                        onClick: k
                    }, {
                        default: g(() => [X(t(s(L)("totalAmount")) + " " + t(s(ze)(s(u) * s(C) || 0)), 1)]),
                        _: 1
                    }, 8, ["class", "disabled"])])])]),
                    _: 1
                }, 8, ["show"]), y(" 预售规则弹层 begin"), i(v, {
                    show: A.value,
                    "onUpdate:show": l[8] || (l[8] = r => A.value = r),
                    "close-on-click-overlay": !1,
                    round: ""
                }, {
                    default: g(() => [i(s(pe), {
                        title: s(L)("presaleRules"),
                        onClose: l[7] || (l[7] = r => A.value = !1)
                    }, {
                        default: g(() => [X(t(m.$t("betPopTXT")), 1)]),
                        _: 1
                    }, 8, ["title"])]),
                    _: 1
                }, 8, ["show"])], 64)
            }
        }
    });
const Lt = q(It, [
        ["__scopeId", "data-v-d2f5ce8d"],
        ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/saasLottery/game/WinGo/components/wingo3/BettingPopup.vue"]
    ]),
    te = _ => (re("data-v-e06f81fe"), _ = _(), ue(), _),
    Tt = {
        class: "record"
    },
    St = {
        class: "record-head"
    },
    Nt = {
        class: "record-body"
    },
    Mt = {
        key: 0
    },
    Rt = {
        key: 1
    },
    Gt = {
        class: "record-origin"
    },
    Pt = te(() => e("div", {
        class: "record-origin-I red"
    }, null, -1)),
    Wt = te(() => e("div", {
        class: "record-origin-I violet"
    }, null, -1)),
    Dt = {
        key: 1,
        class: "record-origin-I green"
    },
    Vt = {
        key: 2,
        class: "record-origin-I red"
    },
    Et = te(() => e("div", {
        class: "record-origin-I green"
    }, null, -1)),
    Ht = te(() => e("div", {
        class: "record-origin-I violet"
    }, null, -1)),
    zt = {
        key: 0,
        class: "flex-center record-body-loading",
        style: {
            height: "100%"
        }
    },
    Ft = {
        key: 1,
        class: "record-body-empty flex-center"
    },
    At = {
        key: 0,
        class: "record-foot"
    },
    xt = {
        class: "record-foot-page"
    },
    Ut = Z({
        __name: "record",
        setup(_) {
            const {
                gameCode: L
            } = ee(), {
                historyIssues: G,
                historyIssuesTotalPage: P
            } = ge(), I = N([]), p = N(!1), u = O(() => I.value.length ? I.value : G.value), C = N(P.value), T = N(10), M = N(1), d = () => {
                M.value < 2 || (M.value--, F())
            }, z = () => {
                M.value++, !(M.value > C.value) && F()
            }, F = async () => {
                try {
                    p.value = !0;
                    const {
                        result: b,
                        data: k
                    } = await fe({
                        gameCode: L.value,
                        pageNo: M.value,
                        pageSize: T.value
                    });
                    b && (I.value = k.list || [], M.value = k.pageNo || 1, C.value = k.totalPage || 0)
                } catch {} finally {
                    p.value = !1
                }
            }, A = b => parseInt(b, 10) % 2 !== 0, j = b => {
                let k = "";
                switch (A(b) ? k = "greenColor" : k = "defaultColor", b) {
                    case "0":
                        k = "mixedColor0";
                        break;
                    case "5":
                        k = "mixedColor5";
                        break
                }
                return k
            };
            return Y(G, () => {
                I.value = [], M.value = 1
            }), Y(P, () => {
                C.value = P.value
            }), (b, k) => {
                const m = V("van-col"),
                    l = V("van-row"),
                    S = V("van-loading"),
                    E = V("van-icon");
                return o(), n("div", Tt, [e("div", St, [i(l, null, {
                    default: g(() => [i(m, {
                        span: "10"
                    }, {
                        default: g(() => [e("span", null, t(b.$t("betIssue")), 1)]),
                        _: 1
                    }), i(m, {
                        span: "5"
                    }, {
                        default: g(() => [e("span", null, t(b.$t("number")), 1)]),
                        _: 1
                    }), i(m, {
                        span: "5"
                    }, {
                        default: g(() => [e("span", null, t(b.$t("bigOrSmall")), 1)]),
                        _: 1
                    }), i(m, {
                        span: "4"
                    }, {
                        default: g(() => [e("span", null, t(b.$t("color")), 1)]),
                        _: 1
                    })]),
                    _: 1
                })]), e("div", Nt, [(o(!0), n(w, null, R(u.value, (v, r) => (o(), K(l, {
                    key: r
                }, {
                    default: g(() => [i(m, {
                        span: "10"
                    }, {
                        default: g(() => [X(t(v.issueNumber), 1)]),
                        _: 2
                    }, 1024), i(m, {
                        span: "5",
                        class: "numcenter"
                    }, {
                        default: g(() => [e("div", {
                            class: f(["record-body-num", j(v.number)])
                        }, t(v.number), 3)]),
                        _: 2
                    }, 1024), i(m, {
                        span: "5"
                    }, {
                        default: g(() => [Number(v.number) > 4 ? (o(), n("span", Mt, t(b.$t("betBig")), 1)) : (o(), n("span", Rt, t(b.$t("betSmall")), 1))]),
                        _: 2
                    }, 1024), i(m, {
                        span: "4"
                    }, {
                        default: g(() => [e("div", Gt, [v.number == "0" ? (o(), n(w, {
                            key: 0
                        }, [Pt, Wt], 64)) : y("v-if", !0), v.number == "1" || v.number == "3" || v.number == "7" || v.number == "9" ? (o(), n("div", Dt)) : y("v-if", !0), v.number == "2" || v.number == "4" || v.number == "6" || v.number == "8" ? (o(), n("div", Vt)) : y("v-if", !0), v.number == "5" ? (o(), n(w, {
                            key: 3
                        }, [Et, Ht], 64)) : y("v-if", !0)])]),
                        _: 2
                    }, 1024)]),
                    _: 2
                }, 1024))), 128)), p.value ? (o(), n("section", zt, [i(S, {
                    type: "spinner",
                    color: "#FD565C"
                })])) : y("v-if", !0), u.value.length === 0 && !p.value ? (o(), n("div", Ft, [i(s(me))])) : y("v-if", !0)]), u.value.length ? (o(), n("div", At, [e("div", {
                    class: f(["record-foot-previous", {
                        disabled: M.value <= 1
                    }]),
                    onClick: d
                }, [i(E, {
                    name: "arrow-left",
                    class: "record-icon",
                    size: "20"
                })], 2), e("div", xt, t(M.value) + "/" + t(C.value), 1), e("div", {
                    class: f(["record-foot-next", {
                        disabled: M.value >= C.value
                    }]),
                    onClick: z
                }, [i(E, {
                    name: "arrow",
                    class: "record-icon",
                    size: "20"
                })], 2)])) : y("v-if", !0)])
            }
        }
    });
const jt = q(Ut, [
        ["__scopeId", "data-v-e06f81fe"],
        ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/saasLottery/game/WinGo/components/wingo3/record.vue"]
    ]),
    Ot = {
        class: "t"
    },
    Xt = {
        class: "t_head"
    },
    Zt = {
        class: "t-b1"
    },
    qt = {
        class: "t-b1-l w"
    },
    Kt = {
        class: "w"
    },
    Jt = {
        class: "t-b1-l lottery"
    },
    Qt = {
        class: "t-b1-l-n"
    },
    Yt = {
        class: "t-b1-l"
    },
    es = {
        class: "t-b1-l-n"
    },
    ts = {
        class: "t-b1-l"
    },
    ss = {
        class: "t-b1-l-n"
    },
    os = {
        class: "t-b1-l"
    },
    ns = {
        class: "t-b1-l-n"
    },
    ls = {
        class: "t-b1-l"
    },
    as = {
        class: "t-b1-l-n"
    },
    is = {
        class: "t-b2"
    },
    rs = ["IssueNumber", "Number", "Colour", "rowId"],
    us = {
        class: "t-b2-i"
    },
    cs = {
        class: "t-b2-Num"
    },
    ds = ["id"],
    vs = {
        key: 0,
        class: "flex-center t-b2-loading",
        style: {
            height: "100%"
        }
    },
    _s = {
        key: 1,
        class: "t-b2-empty flex-center"
    },
    ps = {
        key: 0,
        class: "t-foot"
    },
    ms = {
        class: "t-foot-page"
    },
    fs = Z({
        __name: "trend",
        setup(_) {
            const {
                historyIssues: L,
                gameCode: G,
                historyIssuesTotalPage: P,
                issue: I
            } = ge(), p = N([]), u = O(() => p.value.length ? p.value : L.value), C = N([]), T = N(1), M = N(10), d = N(!1), z = N(P.value);

            function F() {
                Re(() => {
                    for (let l = 0; l < u.value.length; l++) u.value[l + 1] && A(l, u.value[l], u.value[l + 1])
                })
            }

            function A(l, S, E) {
                let v = parseInt(S.number),
                    r = parseInt(E.number);
                const W = document.getElementById("myCanvas" + l);
                if (W && W.getContext) {
                    var c = W.getContext("2d");
                    c.clearRect(0, 0, W.width, W.height), c.beginPath(), c.moveTo(v == 0 ? 20 : v * 29 + 20, 0), c.lineTo(r == 0 ? 20 : r * 29 + 20, W.height), c.strokeStyle = "red", c.stroke(), c.closePath()
                }
            }
            const j = () => {
                    T.value < 2 || (T.value--, m())
                },
                b = () => {
                    T.value++, !(T.value > z.value) && m()
                },
                k = async () => {
                    const {
                        result: l,
                        data: S
                    } = await xe({
                        gameCode: G.value,
                        pageNo: T.value,
                        pageSize: 10
                    });
                    l && (C.value = S)
                },
                m = async () => {
                    try {
                        d.value = !0;
                        const {
                            result: l,
                            data: S
                        } = await fe({
                            gameCode: G.value,
                            pageNo: T.value,
                            pageSize: M.value
                        });
                        l && (p.value = S.list || [], T.value = S.pageNo || 1, z.value = S.totalPage || 0)
                    } catch {} finally {
                        d.value = !1
                    }
                };
            return ie(async () => {
                u.value.length && F(), await k()
            }), Me(() => {
                F(), k(), m()
            }), Y(I, () => {
                k()
            }), Y(u, () => {
                F()
            }), (l, S) => {
                const E = V("van-col"),
                    v = V("van-row"),
                    r = V("van-loading"),
                    W = V("van-icon");
                return o(), n("div", Ot, [e("div", Xt, [e("div", null, t(l.$t("betIssue")), 1), e("div", null, t(l.$t("number")), 1)]), e("div", Zt, [e("div", qt, [e("div", Kt, t(l.$t("w8")), 1), e("div", null, t(l.$t("w9")), 1)]), e("div", Jt, [e("div", null, t(l.$t("w11")), 1), e("div", Qt, [(o(), n(w, null, R(10, c => e("div", {
                    key: c
                }, t(c - 1), 1)), 64))])]), e("div", Yt, [e("div", null, t(l.$t("trendDesc3")), 1), e("div", es, [(o(!0), n(w, null, R(C.value, (c, D) => (o(), n("div", {
                    key: "4" + D
                }, t(c.missingCount), 1))), 128))])]), e("div", ts, [e("div", null, t(l.$t("trendDesc4")), 1), e("div", ss, [(o(!0), n(w, null, R(C.value, (c, D) => (o(), n("div", {
                    key: "2" + D
                }, t(c.avgMissing), 1))), 128))])]), e("div", os, [e("div", null, t(l.$t("trendDesc5")), 1), e("div", ns, [(o(!0), n(w, null, R(C.value, (c, D) => (o(), n("div", {
                    key: "5" + D
                }, t(c.openCount), 1))), 128))])]), e("div", ls, [e("div", null, t(l.$t("trendDesc6")), 1), e("div", as, [(o(!0), n(w, null, R(C.value, (c, D) => (o(), n("div", {
                    key: "3" + D
                }, t(c.maxContinuous), 1))), 128))])])]), e("div", is, [(o(!0), n(w, null, R(u.value, (c, D) => (o(), n("div", {
                    key: D,
                    IssueNumber: c.issueNumber,
                    Number: c.number,
                    Colour: c.colour,
                    rowId: D,
                    class: "t-b2-item"
                }, [i(v, null, {
                    default: g(() => [i(E, {
                        span: "9"
                    }, {
                        default: g(() => [e("div", us, t(c.issueNumber), 1)]),
                        _: 2
                    }, 1024), i(E, {
                        span: "15"
                    }, {
                        default: g(() => [e("div", cs, [e("canvas", {
                            id: "myCanvas" + D,
                            ref_for: !0,
                            ref: "canvas",
                            class: "line-canvas"
                        }, null, 8, ds), (o(), n(w, null, R(10, U => e("div", {
                            class: f(["t-b2-Num-item", Number(c.number) == U - 1 ? "action" + (U - 1) : ""]),
                            key: U
                        }, t(U - 1), 3)), 64)), e("div", {
                            class: f(["t-b2-Num-BS", {
                                isB: Number(c.number) > 4
                            }])
                        }, t(Number(c.number) > 4 ? "B" : "S"), 3)])]),
                        _: 2
                    }, 1024)]),
                    _: 2
                }, 1024)], 8, rs))), 128)), d.value ? (o(), n("div", vs, [i(r, {
                    type: "spinner",
                    color: "#FD565C"
                })])) : y("v-if", !0), u.value.length === 0 && !d.value ? (o(), n("div", _s, [i(s(me))])) : y("v-if", !0)]), u.value.length ? (o(), n("div", ps, [e("div", {
                    class: f(["t-foot-previous", {
                        disabled: T.value <= 1
                    }]),
                    onClick: j
                }, [i(W, {
                    name: "arrow-left",
                    class: "t-icon",
                    size: "20"
                })], 2), e("div", ms, t(T.value) + "/" + t(z.value), 1), e("div", {
                    class: f(["t-foot-next", {
                        disabled: T.value >= z.value
                    }]),
                    onClick: b
                }, [i(W, {
                    name: "arrow",
                    class: "t-icon",
                    size: "20"
                })], 2)])) : y("v-if", !0)])
            }
        }
    });
const gs = q(fs, [
        ["__scopeId", "data-v-57322248"],
        ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/saasLottery/game/WinGo/components/wingo3/trend.vue"]
    ]),
    bs = _ => (re("data-v-b68febd5"), _ = _(), ue(), _),
    hs = {
        class: "winGo3"
    },
    ys = {
        class: "Betting__C"
    },
    Cs = {
        class: "Betting__C-mark"
    },
    $s = {
        class: "Betting__C-head"
    },
    ws = ["onClick"],
    ks = {
        class: "Betting__C-numC"
    },
    Bs = ["onClick"],
    Is = {
        class: "Betting__C-multiple"
    },
    Ls = ["onClick"],
    Ts = {
        class: "Betting__C-foot"
    },
    Ss = {
        class: "history"
    },
    Ns = {
        class: "nav-box"
    },
    Ms = bs(() => e("p", {
        style: {
            height: "200px"
        }
    }, null, -1)),
    Rs = {
        class: "winner_box"
    },
    Gs = {
        class: "winner_result"
    },
    Ps = {
        key: 0,
        class: "flex-center",
        style: {
            height: "100%"
        }
    },
    Ws = ["innerHTML"],
    Ds = Z({
        __name: "index",
        setup(_) {
            const {
                getWebData: L,
                currentGame: G,
                lotteryCode: P
            } = ee(), {
                localStore: I
            } = Ze(), p = N("Record"), u = O(() => {
                switch (p.value) {
                    case "Record":
                        return jt;
                    case "Trend":
                        return gs;
                    case "FollowBet":
                        return Ue;
                    case "MyRecord":
                        return Ye;
                    default:
                        return null
                }
            }), C = Qe();
            Ge("WinHook", C);
            const {
                randomNum: T,
                numbers: M,
                colors: d,
                bigSmalls: z,
                issue: F,
                countdownTime: A,
                betMultiples: j,
                betMultiple: b,
                getIssue: k,
                useProvide: m,
                getHistoryIssues: l,
                countdown: S,
                historyIssues: E,
                onBet: v,
                onRandom: r,
                showMark: W,
                winner: c,
                getIntroduce: D,
                introduceDialog: U,
                onSwitchIntroduce: ce,
                introduceHtml: de,
                introduceLoading: he,
                getlotteryissue: ye,
                setVoice: Ce,
                onClearBet: $e,
                setLotteryCode: we,
                VoiceType: ke
            } = C;
            m(), ie(async () => {
                await Promise.all([k(!0), L()]), await l()
            });
            const Be = O(() => E.value.slice(0, 5).map(h => h.number)),
                se = N(!1),
                Ie = async h => {
                    if (!se.value) {
                        se.value = !0;
                        try {
                            $e(!0), we(h.gameCode), await ye()
                        } catch {} finally {
                            se.value = !1
                        }
                    }
                },
                Le = O(() => S.value.seconds < 10 ? "0" + S.value.seconds : S.value.seconds + ""),
                oe = N(null);
            return ie(() => {
                if (!oe.value) return;
                let h = !1,
                    $, J;
                const B = oe.value,
                    Q = x => {
                        h = !0, B.style.cursor = "grabbing", $ = x.pageX - B.offsetLeft, J = B.scrollLeft
                    },
                    a = () => {
                        h = !1, B.style.cursor = "grab"
                    },
                    H = () => {
                        h = !1, B.style.cursor = "grab"
                    };
                setTimeout(() => {
                    B.querySelector("div:first-child") && (B.scrollLeft = 0)
                }, 100);
                const ne = x => {
                    if (!h) return;
                    x.preventDefault();
                    const le = (x.pageX - B.offsetLeft - $) * 2;
                    B.scrollLeft = J - le
                };
                B.addEventListener("mousedown", Q), B.addEventListener("mouseleave", a), B.addEventListener("mouseup", H), B.addEventListener("mousemove", ne), B.style.cursor = "grab", Pe(() => {
                    const x = B.querySelector(".active");
                    if (x) {
                        const ve = x.offsetLeft + x.offsetWidth / 2,
                            le = B.offsetWidth / 2;
                        B.scrollLeft = ve - le
                    }
                })
            }), (h, $) => {
                var Q;
                const J = V("van-loading"),
                    B = V("van-popup");
                return o(), n("div", hs, [i(s(je), {
                    showNav: !0,
                    onChangeSelectGame: Ie,
                    onSetVoice: s(Ce),
                    VoiceType: s(ke),
                    countdown: s(S)
                }, null, 8, ["onSetVoice", "VoiceType", "countdown"]), i(ut, {
                    handleRule: s(ce),
                    issue: s(F),
                    numbers: Be.value,
                    countdownTime: s(A)
                }, null, 8, ["handleRule", "issue", "numbers", "countdownTime"]), e("div", ys, [_e(e("div", Cs, [(o(!0), n(w, null, R(Le.value, a => (o(), n("div", null, t(a), 1))), 256)), y(" <div>{{ props.currentInfo.time4 || '0' }}</div>")], 512), [
                    [We, s(W)]
                ]), e("div", $s, [(o(!0), n(w, null, R(s(d), a => (o(), n("div", {
                    class: f(["Betting__C-head-" + a.playBet]),
                    onClick: H => s(v)(a)
                }, t(h.$t(`bet${a.playBet.charAt(0).toUpperCase()+a.playBet.slice(1)}`)), 11, ws))), 256))]), e("div", ks, [(o(!0), n(w, null, R(s(M), (a, H) => (o(), n("div", {
                    key: H,
                    class: f([s(T) == a.playBet ? "active" : "", "Betting__C-numC-item" + H]),
                    onClick: ne => s(v)(a)
                }, null, 10, Bs))), 128))]), e("div", Is, [e("div", {
                    class: "Betting__C-multiple-l",
                    onClick: $[0] || ($[0] = (...a) => s(r) && s(r)(...a))
                }, t(h.$t("randomBet")), 1), (o(!0), n(w, null, R(s(j), (a, H) => (o(), n("div", {
                    key: H,
                    class: f(["Betting__C-multiple-r", {
                        active: a == s(b)
                    }]),
                    onClick: ne => b.value = a
                }, " X" + t(a), 11, Ls))), 128))]), e("div", Ts, [e("div", {
                    onClick: $[1] || ($[1] = a => s(v)(s(z)[0])),
                    class: "Betting__C-foot-b"
                }, t(h.$t("big")), 1), e("div", {
                    onClick: $[2] || ($[2] = a => s(v)(s(z)[1])),
                    class: "Betting__C-foot-s"
                }, t(h.$t("small")), 1)])]), i(Lt, {
                    currentGame: (Q = s(G)) == null ? void 0 : Q.gameName
                }, null, 8, ["currentGame"]), e("div", Ss, [e("div", {
                    class: "nav",
                    ref_key: "navRef",
                    ref: oe
                }, [e("div", {
                    class: f(["nav-container", {
                        noScroll: !s(I).get("isOpenFollow")
                    }])
                }, [e("div", {
                    class: f({
                        active: p.value === "Record"
                    }),
                    onClick: $[3] || ($[3] = a => p.value = "Record")
                }, t(h.$t("gameRecords")), 3), e("div", {
                    class: f({
                        active: p.value === "Trend"
                    }),
                    onClick: $[4] || ($[4] = a => p.value = "Trend")
                }, t(h.$t("chartTrends")), 3), s(I).get("isOpenFollow") ? (o(), n("div", {
                    key: 0,
                    class: f({
                        active: p.value === "FollowBet"
                    }),
                    onClick: $[5] || ($[5] = a => p.value = "FollowBet")
                }, t(h.$t("fts")), 3)) : y("v-if", !0), e("div", {
                    class: f({
                        active: p.value === "MyRecord"
                    }),
                    onClick: $[6] || ($[6] = a => p.value = "MyRecord")
                }, t(h.$t("myRecord")), 3)], 2)], 512), e("div", Ns, [(o(), K(Ee, null, [(o(), K(De, null, {
                    default: g(() => [(o(), K(Ve(u.value)))]),
                    fallback: g(() => [Ms]),
                    _: 1
                }))], 1024))])]), i(Oe), i(s(Xe), {
                    ref_key: "winner",
                    ref: c
                }, {
                    default: g(({
                        data: a
                    }) => [e("div", Rs, [e("span", null, t(h.$t("winTips3")), 1), e("div", Gs, [e("div", {
                        class: f(`color_${a.color.replace(/,/g,"_")}`)
                    }, [(o(!0), n(w, null, R(a.color.split(","), H => (o(), n("span", null, t(h.$t("common." + H)), 1))), 256))], 2), e("div", {
                        class: f(`color_${a.color}`)
                    }, t(a.number), 3), e("div", {
                        class: f(`color_${a.color}`)
                    }, t(a.number > 4 ? h.$t("betBig") : h.$t("betSmall")), 3)])])]),
                    _: 1
                }, 512), y(" 玩法说明"), i(B, {
                    onOpen: s(D),
                    show: s(U),
                    "onUpdate:show": $[7] || ($[7] = a => ae(U) ? U.value = a : null),
                    "close-on-click-overlay": !1,
                    round: ""
                }, {
                    default: g(() => {
                        var a;
                        return [i(s(pe), {
                            title: (a = s(de)) == null ? void 0 : a.title,
                            onClose: s(ce)
                        }, {
                            default: g(() => {
                                var H;
                                return [s(he) ? (o(), n("div", Ps, [i(J, {
                                    type: "spinner",
                                    color: "#FD565C"
                                })])) : (o(), n("div", {
                                    key: 1,
                                    innerHTML: (H = s(de)) == null ? void 0 : H.content
                                }, null, 8, Ws))]
                            }),
                            _: 1
                        }, 8, ["title", "onClose"])]
                    }),
                    _: 1
                }, 8, ["onOpen", "show"])])
            }
        }
    });
const Vs = q(Ds, [
        ["__scopeId", "data-v-b68febd5"],
        ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/saasLottery/game/WinGo/views/wingo3/index.vue"]
    ]),
    Es = Z({
        __name: "index",
        setup(_) {
            const L = He(),
                {
                    useProvide: G,
                    setLotteryCode: P
                } = qe(),
                I = L.query.gameCode;
            G(), P(I);
            const p = Fe(),
                u = O(() => p.getIsShowLotteryDragon);
            return (C, T) => (o(), n(w, null, [i(Vs), u.value ? (o(), K(Ke, {
                key: 0
            })) : y("v-if", !0)], 64))
        }
    }),
    Js = q(Es, [
        ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/views/saasLottery/WinGo/index.vue"]
    ]);
export {
    Js as
    default
};